ASCIINEMA(1)

NAME
asciinema - Terminal recorder for asciinema.org service

SYNOPSIS
asciinema [-h] [--version] command [<args>]

DESCRIPTION
Command line client (terminal recorder) for asciinema.org service.

If you run asciinema with no arguments, help will be displayed showing all available commands.

OPTIONS

-h, --help
    Display help message

--version
    Display version information

COMMANDS
rec
    Record terminal session and upload it to asciinema.org site.

    This is the single most important command in asciinema, since it is how you utilize this tool's main job.

    By running asciinema rec you start a new recording session. The command (process) that is recorded can be specified with -c option (see below), and defaults to $SHELL which is what you want in most cases.

    Recording finishes when you exit the shell (hit Ctrl+D or type exit). If the recorded process is not a shell than recording finishes when the process exits.

    ASCIINEMA_REC=1 is added to recorded process environment variables. This can be used by your shell's config file (.bashrc, .zshrc) to alter the prompt or play a sound when shell is being recorded.

        -c, --command
            command to record (if none given a new shell instance is recorded)

        -w, --max-wait
            reduce recorded terminal inactivity to maximum of seconds (0 turns off)

        -t  specify title of the asciicast

        -y, --yes
            upload immediately after shell exits, without asking for confirmation

play <filename>
    Replay recorded asciicast in a terminal.

    This command replays given asciicast (as recorded by rec command) directly in your terminal.

    NOTE: it is recommended to run it in a terminal of dimensions not smaller than the one used for recording as there's no "transcoding" of control sequences for new terminal size.

        -w, --max-wait
            reduce replayed terminal inactivity to maximum of seconds (0 turns off)

    upload <filename>
        Upload recorded asciicast to asciinema.org site.

        This command uploads given asciicast (as recorded by rec command) to asciinema.org for further playback in a web browser.

    auth
        Assign local API token to asciinema.org account.

        -h, --help
            Display help message

CONTRIBUTING
If you want to contribute to this project check out Contributing page: https://asciinema.org/contributing

BUGS
All your bug reports and feature ideas are highly appreciated as they help to improve the quality and functionality of asciinema for everyone.

As the service is built of several parts there are separate bug trackers:

https://github.com/asciinema/asciinema/issues
    issues and ideas for the command line recorder

https://github.com/asciinema/asciinema.org/issues
    issues and ideas for the website

https://github.com/asciinema/asciinema-player/issues
    issues and ideas for the javascript player

AUTHORS
Developed with passion by Marcin Kulik and great open source contributors.